Name:           perl-Email-MIME-Modifier
Version:        1.441
Release:        1%{?dist}
Summary:        Modify Email::MIME Objects Easily

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Email-MIME-Modifier/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-MIME-Modifier-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Email::MessageID) >= 1.2
BuildRequires:  perl(Email::MIME) >= 1.82
BuildRequires:  perl(Email::MIME::Encodings) >= 1.3
BuildRequires:  perl(Email::MIME::ContentType) >= 1.011
BuildRequires:  perl(Email::Simple) >= 1.92
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Provides a number of useful methods for manipulating MIME messages.
These method are declared in the "Email::MIME" namespace, and are used
with "Email::MIME" objects.


%prep
%setup -q -n Email-MIME-Modifier-%{version}

# Provides: filter perl(Email::MIME)
cat <<__EOF__ > %{name}-filterprovides
#!/bin/sh
/usr/lib/rpm/perl.prov \$* | grep -v 'perl(Email::MIME)'
__EOF__
%define __perl_provides %{_builddir}/Email-MIME-Modifier-%{version}/%{name}-filterprovides
chmod +x %{__perl_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Email/MIME/
%{_mandir}/man3/*.3pm*


%changelog
* Fri Dec  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.441-1
- Update to 1.441.

* Sat Oct 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.440-1
- Update to 1.440.

* Fri Jul 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.43-1
- Update to 1.43.

* Thu Sep  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.42-2
- Filter the Email::MIME provide.

* Thu Sep 08 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.42-1
- First build.
